Skip to main content
POST
/
api
/
v1
/
groups
/
supergroups
Create Supergroup
curl --request POST \
  --url https://api.example.com/api/v1/groups/supergroups \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "instance_id": "<string>",
  "description": "<string>",
  "type": "<string>",
  "purpose": "<string>",
  "notifications": true
}
'

Create Supergroup

Create a new supergroup. The name must be unique within the instance.
name
string
required
Supergroup name
instance_id
string
required
Instance ID
description
string
Supergroup description
type
string
Type (default: supergroup)
purpose
string
Purpose
notifications
boolean
Enable notifications (default: true)
Supergroup names must be unique within the same instance. Attempting to create a duplicate will return a 409 Conflict error.

Example Request

curl -X POST https://api.checkpoint.b-digital.uk/api/v1/groups/supergroups \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Senior Camp",
    "instance_id": "se8SajpJDWUwrEmhElLF",
    "description": "Senior campers group"
  }'